config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  # Almost every application defines a route for the root path ("/") at the top of this file.
  root 'home#index'
  post '/search', to: 'home#search'
  get '/clear_message', to: 'home#clear_message'

  resources :posts do
    resources :likes, only: %i[create destroy]
    resources :comments, only: %i[new create destroy]
  end

  get '/login', to: 'session#index', as: 'new_session'
  post '/login', to: 'session#create'
  delete '/logout', to: 'session#destroy', as: 'destroy_session'

  get '/register', to: 'registration#index', as: 'new_registration'
  post '/register', to: 'registration#create'
end

app/views/shared/_loading.html.erb
<div class="h-40 border border-blue-300 shadow rounded-md p-4 w-4/3 mx-auto mt-5">
    <div class="animate-pulse flex space-x-4">
      <div class="rounded-full bg-blue-400 h-12 w-12"></div>
      <div class="flex-1 space-y-4 py-1">
        <div class="h-4 bg-blue-400 rounded w-3/4"></div>
        <div class="space-y-2">
          <div class="h-4 bg-blue-400 rounded"></div>
          <div class="h-4 bg-blue-400 rounded w-5/6"></div>
          <div class="h-4 bg-blue-400 rounded w-5/6"></div>
          <div class="h-4 bg-blue-400 rounded w-3/4"></div>
        </div>
      </div>
    </div>
  </div>

app/views/shared/_navbar.html.erb
<nav class="bg-white shadow-lg" >
			<div class="max-w-6xl mx-auto px-4">
				<div class="flex justify-between">
					<div class="flex space-x-7">
						<div>
							<!-- Website Logo -->
							<%= link_to root_path, class: 'flex items-center py-4 px-2' do %>
								<span class="font-semibold text-gray-500 text-lg">Blog</span>
							<% end %>
						</div>
						<!-- Primary Navbar items -->
						<div class="hidden md:flex items-center space-x-1">
							<% if user_signed_in? %>
								<h1 class="font-bold text-gray-500">Bem vindo de volta, <%= current_user.name %></h1>
							<% end %>
						</div>
					</div>
					<!-- Secondary Navbar items -->
					<div class="hidden md:flex items-center space-x-3 ">
			  		<% if user_signed_in? %>
							<%= button_to 'Logout', destroy_session_path, method: :delete, class: 'btn-sigin' %>
							<%= link_to 'Criar Post', new_post_path, class: 'btn-primary' %>
						<% else %>
							<%= link_to 'Login', new_session_path, class: 'btn-sigin' %>
							<%= link_to 'Register', new_registration_path, class: 'btn-signup' %>
				  	<% end %>
					</div>
					<!-- Mobile menu button -->
					<div class="md:hidden flex items-center">
						<button class="outline-none mobile-menu-button">
						<svg class=" w-6 h-6 text-gray-500 hover:text-green-500 "
							x-show="!showMenu"
							fill="none"
							stroke-linecap="round"
							stroke-linejoin="round"
							stroke-width="2"
							viewBox="0 0 24 24"
							stroke="currentColor"
						>
							<path d="M4 6h16M4 12h16M4 18h16"></path>
						</svg>
					</button>
					</div>
				</div>
			</div>
			<!-- mobile menu -->
			<div class="hidden mobile-menu">
				<ul class="" >
					<li class="">
						<%= link_to 'Home', root_path, class: 'nav-item' %>
						<% if user_signed_in? %>
							<%= link_to 'Criar Post', new_post_path, class: 'nav-item', 'data-turbo-frame': '_top' %>
							<%= button_to 'Logout', destroy_session_path, method: :delete, class: 'nav-item w-full' %>
						<% else %>
							<%= link_to 'Login', new_session_path, class: 'nav-item' %>
							<%= link_to 'Register', new_registration_path, class: 'nav-item' %>
						<% end %>
					</li>
				</ul>
			</div>
</nav>            

app/views/shared/_notice.html.erb
<div class="<%= status %>" role="alert" data-controller="notice">
  <p class="text-sm"><%= notice %></p>
</div>